View Issue Details

IDProjectCategoryView StatusLast Update
0030575RunnerHTML5Public2019-03-05 09:22
ReporterStewart BishopAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformHTML5OSOS Version
Product Version2.2.2 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030575: HTML5: Backgrounds are broken and game has various code issues not seen on Windows
DescriptionWithin this users project if you run their game on Windows everything works as expected but on HTML5 images don't render and input is ignored.
Steps To Reproduce1) Run the sample on Windows
2) Run the sample on HTML5
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.2.308
2.x Runtime Verified In2.2.2.312

Activities

Stewart Bishop

2019-02-28 12:21

Developer  

HTML5.png (20,701 bytes)
HTML5.png (20,701 bytes)
Desktop.png (32,701 bytes)
Desktop.png (32,701 bytes)

Russell Kay

2019-03-01 17:10

Manager   ~0063407

Ok I have added a bugfix in gitlab - 6c197343583702f358a28103bef9a4999b46be32 - for the menu backgrounds...

and I have found the other issue which was his camera code creating a NaN in the camera code... that causes an incorrect view to be generated so the display is never changed (though the code is running in the background)
adding this to the obj_camera Step event improves the situation... but it has other issues at that point

if ((shake_length > 0) && (shake_magnitude > 0)) {
shake_remain = max(0,shake_remain-((1/shake_length)*shake_magnitude));
} // end if

Russell Kay

2019-03-01 17:10

Manager   ~0063408

See comment above

Dan

2019-03-04 09:29

Adminstrator   ~0063413

Last edited: 2019-03-04 18:06

View 2 revisions

Backgrounds portion of this issue is fixed in Runtime 312+

User to fix their camera issue

Scott Dunbar

2019-03-05 09:22

Adminstrator   ~0063430

Verified fixed as per above comments. User will need to address coding issue.

IDE 2.2.2.399
Runtime 2.2.2.312